version: "3.9"
services:
  hala_Ween_db:
    container_name: hala_Ween_db_container
    image: mongo:latest
    restart: always
    ports:
      - "27017:27017"
    volumes:
      - hala_Ween_db:/data/db
  hala_ween_api:
    build: .  
    ports:
      - "8080:8080"
    volumes:
      - .:/usr/src/app
    environment:
      PORT: 8080
      MONGODB_URL: mongodb://hala_Ween_db:27170
      DB_NAME: my_db
      NAME: IbrahimRashwan
    depends_on: 
      - hala_Ween_db
    links:
     - hala_Ween_db
volumes:
  hala_Ween_db: {}